Can't register any version of Plex for my Epson Moverio BT-300 Android Augmented Reality Glasses

plex-vr

#1

Hey, I love Plex and have registered a version for IOS; however, I would love to be able to use it on my $799 Augmented reality glasses, the Epson Moverio BT-300. I can load an older version onto the glasses and easily watch one minute clips, but when I try to register the full version, it won't let me. Unfortunately, the Epson Moverio version of Android is not Google Playstore authorized--so not every version will work. But these are very cool glasses that give HD and even 3D views for many apps like YouTube or Netflix. I also use them to fly my DJI Mavic Pro camera drone--why not a version of Plex that works with the Moverio? I'd love to give you my money for a working version ;-)

Any thoughts?


#2

Yes, please!